import request from '@/utils/request'


export function getGoodsListPage(query) {
    return request({
        url: '/system/goods/getGoodsListPage',
        method: 'get',
        params: query
    })
}

export function getGoodsInfo(query) {
    return request({
        url: '/system/goods/getGoodsInfo',
        method: 'get',
        params: query
    })
}

export function GoodsUpOrDown(query) {
    return request({
        url: '/system/goods/GoodsUpOrDown',
        method: 'get',
        params: query
    })
}

export function editGoods(query) {
    return request({
        url: '/system/goods/editGoods',
        method: 'post',
        data: query
    })
}

export function goodsRemove(query) {
    return request({
        url: '/system/goods/remove',
        method: 'post',
        data: query
    })
}


export function saveGoodsDraft(query) {
    return request({
        url: '/system/goods/saveGoodsDraft',
        method: 'post',
        data: query
    })
}


export function getGoodsDraftByUserId(query) {
    return request({
        url: '/system/goods/getGoodsDraftByUserId',
        method: 'post',
        data: query
    })
}


export function deleteGoodsDraft(query) {
    return request({
        url: '/system/goods/deleteGoodsDraft',
        method: 'post',
        data: query
    })
}


export function getGoodsDraftById(query) {
    return request({
        url: '/system/goods/getGoodsDraftById',
        method: 'post',
        data: query
    })
}


export function updateGoods(query) {
    return request({
        url: '/system/goods/updateGoods',
        method: 'post',
        data: query
    })
}


export function setLowPrice(query) {
    return request({
        url: '/system/goods/setLowPrice',
        method: 'post',
        data: query
    })
}

export function cancelLowPrice(query) {
    return request({
        url: '/system/goods/cancelLowPrice',
        method: 'post',
        data: query
    })
}


export function getFreightTemplate(query) {
    return request({
        url: '/system/freightTemplate/getFreightTemplate',
        method: 'get',
        params: query
    })
}


export function savaLogisticsTemplate(query) {
    return request({
        url: '/system/logisticsTemplate/savaLogisticsTemplate',
        method: 'post',
        data: query
    })
}

export function getLogisticsTemplateInfo(query) {
    return request({
        url: '/system/logisticsTemplate/getTemplateByUserId',
        method: 'post',
        data: query
    })
}

export function queryUserRelevanceTemplate(query) {
    return request({
        url: '/system/logisticsTemplate/queryUserRelevanceTemplate',
        method: 'get',
        params: query
    })
}

export function deleteGoodsDrafts(query) {
    return request({
        url: '/system/goods/deleteGoodsDrafts',
        method: 'post',
        data: query
    })
}


export function removeSkuBySkuId(query) {
    return request({
        url: '/system/goods/removeSkuBySkuId',
        method: 'post',
        data: query
    })
}


export function setRebateCouponsGoods(query) {
    return request({
        url: '/system/goods/setRebateCouponsGoods',
        method: 'post',
        data: query
    })
}


export function getRebateCouponsGoods(query) {
    return request({
        url: '/system/goods/getRebateCouponsGoods',
        method: 'get',
        params: query
    })
}

